package com.compdfkit.tools.pdfview;


import android.content.Context;
import android.content.res.TypedArray;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.widget.FrameLayout;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.AppCompatTextView;

import com.compdfkit.tools.R;

public class CPDFToolBar extends FrameLayout {

    private AppCompatTextView tvToolBarTitle;

    public CPDFToolBar(@NonNull Context context) {
        super(context);
        initToolBar(context, null);
    }

    public CPDFToolBar(@NonNull Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initToolBar(context, attrs);
    }

    public CPDFToolBar(@NonNull Context context, @Nullable AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }

    private void initToolBar(Context context, @Nullable AttributeSet attrs){
        LayoutInflater.from(getContext()).inflate(R.layout.tools_cpdf_tool_bar, this);
        tvToolBarTitle = findViewById(R.id.tv_tool_bar_title);
        initAttributes(context, attrs);
    }

    private void initAttributes(Context context, @Nullable AttributeSet attrs){
        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.Tools_CPDFToolBar);
        if (typedArray != null) {
            String toolBarTitle = typedArray.getString(R.styleable.Tools_CPDFToolBar_tools_toolbar_title);
            if (!TextUtils.isEmpty(toolBarTitle)) {
                tvToolBarTitle.setText(toolBarTitle);
            }
        }
    }

}
